package com.steerinfo.meterwork.meterworkgrabactual.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="抓斗秤实绩表")
public class MeterWorkGrabActual implements IBasePO<String> {
    /**
     * 结净编号（YYYYMMDD+4位流水）(ACTUAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="结净编号（YYYYMMDD+4位流水）",required=true)
    private String actualNo;

    /**
     * 行车号(DATA_HCH,VARCHAR,10)
     */
    @ApiModelProperty(value="行车号",required=false)
    private String dataHch;

    /**
     * 称重时间(DATA_TIME,TIMESTAMP,7)
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="称重时间",required=false)
    private Date dataTime;

    /**
     * 数据类型(DATA_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="数据类型",required=false)
    private String dataType;

    /**
     * 计量区域(DATA_AREA,VARCHAR,30)
     */
    @ApiModelProperty(value="计量区域",required=false)
    private String dataArea;

    /**
     * 毛重(GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal grossWeight;

    /**
     * 皮重(TARE_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal tareWeight;

    /**
     * 净重(NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal netWeight;

    /**
     * 班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="班次",required=false)
    private String meterClass;

    /**
     * 班组(METER_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="班组",required=false)
    private String meterGroup;

    /**
     * 当班人(METER_OPERATOR,VARCHAR,20)
     */
    @ApiModelProperty(value="当班人",required=false)
    private String meterOperator;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 扣杂(KOZA,DECIMAL,10)
     */
    @ApiModelProperty(value="扣杂",required=false)
    private BigDecimal koza;

    /**
     * 湿重(WET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="湿重",required=false)
    private BigDecimal wetWeight;

    /**
     * 水分(WATER,DECIMAL,10)
     */
    @ApiModelProperty(value="水分",required=false)
    private BigDecimal water;

    /**
     * 干重(DRY_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="干重",required=false)
    private BigDecimal dryWeight;

    /**
     * 镍量(NI_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="镍量",required=false)
    private BigDecimal niWeight;

    /**
     * 钴量(CO_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="钴量",required=false)
    private BigDecimal coWeight;

    /**
     * 铜量(CU_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="铜量",required=false)
    private BigDecimal cuWeight;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 仓库(STORE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="仓库",required=false)
    private String storeName;

    /**
     * 有效标志，0为无效，1为有效(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="有效标志，0为无效，1为有效",required=false)
    private String validFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualNo;
    }

    @Override
    public void setId(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getDataHch() {
        return dataHch;
    }

    public void setDataHch(String dataHch) {
        this.dataHch = dataHch == null ? null : dataHch.trim();
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    public String getDataArea() {
        return dataArea;
    }

    public void setDataArea(String dataArea) {
        this.dataArea = dataArea == null ? null : dataArea.trim();
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public String getMeterOperator() {
        return meterOperator;
    }

    public void setMeterOperator(String meterOperator) {
        this.meterOperator = meterOperator == null ? null : meterOperator.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public BigDecimal getKoza() {
        return koza;
    }

    public void setKoza(BigDecimal koza) {
        this.koza = koza;
    }

    public BigDecimal getWetWeight() {
        return wetWeight;
    }

    public void setWetWeight(BigDecimal wetWeight) {
        this.wetWeight = wetWeight;
    }

    public BigDecimal getWater() {
        return water;
    }

    public void setWater(BigDecimal water) {
        this.water = water;
    }

    public BigDecimal getDryWeight() {
        return dryWeight;
    }

    public void setDryWeight(BigDecimal dryWeight) {
        this.dryWeight = dryWeight;
    }

    public BigDecimal getNiWeight() {
        return niWeight;
    }

    public void setNiWeight(BigDecimal niWeight) {
        this.niWeight = niWeight;
    }

    public BigDecimal getCoWeight() {
        return coWeight;
    }

    public void setCoWeight(BigDecimal coWeight) {
        this.coWeight = coWeight;
    }

    public BigDecimal getCuWeight() {
        return cuWeight;
    }

    public void setCuWeight(BigDecimal cuWeight) {
        this.cuWeight = cuWeight;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName == null ? null : storeName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualNo=").append(actualNo);
        sb.append(", dataHch=").append(dataHch);
        sb.append(", dataTime=").append(dataTime);
        sb.append(", dataType=").append(dataType);
        sb.append(", dataArea=").append(dataArea);
        sb.append(", grossWeight=").append(grossWeight);
        sb.append(", tareWeight=").append(tareWeight);
        sb.append(", netWeight=").append(netWeight);
        sb.append(", meterClass=").append(meterClass);
        sb.append(", meterGroup=").append(meterGroup);
        sb.append(", meterOperator=").append(meterOperator);
        sb.append(", memo=").append(memo);
        sb.append(", koza=").append(koza);
        sb.append(", wetWeight=").append(wetWeight);
        sb.append(", water=").append(water);
        sb.append(", dryWeight=").append(dryWeight);
        sb.append(", niWeight=").append(niWeight);
        sb.append(", coWeight=").append(coWeight);
        sb.append(", cuWeight=").append(cuWeight);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", storeName=").append(storeName);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}